﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Collections.ObjectModel;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample045 : Form
    {
        public FrmSample045()
        {
            InitializeComponent();
        }



        private void btnDo_Click(object sender, EventArgs e)
        {

            var employees = new List<OOP.Employee>
            {
                new OOP.Employee("Amir","Developer",4000,new Collection<string>{"C#","VB","SQL","HTML"}),
                new OOP.Employee("Hasan","DB Admin",5000,new Collection<string>{"VB","SQL"}),
                new OOP.Employee("Hossein","Analyst",6000,new Collection<string>{"C#","SQL"}),
                new OOP.Employee("Ahmad","Developer",7000,new Collection<string>{"C#"}),
                new OOP.Employee("Sina","Developer",6000,new Collection<string>{"HTML"}),
                new OOP.Employee("Reza","Developer",6500,new Collection<string>{}),
                new OOP.Employee("Hesam","Developer",7300,new Collection<string>{"C#","VB","SQL","HTML"}),
                new OOP.Employee("Mina","Developer",7500,new Collection<string>{"C#","VB","SQL","HTML"}),
                new OOP.Employee("Mona","Developer",7400,new Collection<string>{"C#","VB","SQL","HTML"}),
                new OOP.Employee("Maryam","Developer",7300,new Collection<string>{"C#","VB","SQL","HTML"}),
                new OOP.Employee("Tina","Developer",8100,new Collection<string>{"C#","VB","SQL","HTML"}),
            };

            var Skills = from emp in employees
                         from s in emp.Skills
                         where emp.Name.Contains(cboFilter.Text)
                         select s;

            lblResult.Text = "";

            foreach (var item in Skills)
            {
                lblResult.Text +=item + "\n";
            }
            
        }




    }
}
